### Function

# ICalGLib vcard_parser_parse_string

since: 4.0

#### Declaration [src]

    ICalVcardComponent*
    i_cal_vcard_parser_parse_string (
      const char* str
    )

#### Description [src]

Parses the vCard string `str` and returns an `ICalVcardComponent`, or `NULL` when the parse failed.

Available since: 4.0

#### Parameters

`str`

  Type: `const char*`

  A vCard string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardComponent`

A newly created `ICalVcardComponent`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.